> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns

> Retrieves a paginated list of campaigns with optional filtering by voice agent and search query.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/voice-agents/campaigns
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/voice-agents/campaigns:
    get:
      summary: List campaigns with pagination
      description: >-
        Retrieves a paginated list of campaigns with optional filtering by voice
        agent and search query.
      parameters:
        - in: query
          name: voiceAgentId
          required: false
          description: Optional voice agent ID to filter campaigns.
          schema:
            type: string
            format: uuid
            example: 68f7656f-098b-4c43-b165-7cfd2cc8ac40
        - in: query
          name: take
          required: false
          description: Number of items to return per page.
          schema:
            type: integer
            default: 10
            example: 10
        - in: query
          name: skip
          required: false
          description: Number of items to skip (offset).
          schema:
            type: integer
            default: 0
            example: 0
        - in: query
          name: search
          required: false
          description: Search query for campaign name or campaign ID.
          schema:
            type: string
            example: Q1 Customer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCampaignsResponse'
        '400':
          description: Validation/Bad request error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListCampaignsResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Campaigns retrieved successfully
        messageKey:
          type: string
          example: CAMPAIGNS_RETRIEVED_SUCCESSFULLY
        data:
          type: object
          properties:
            campaigns:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: a8f7656f-098b-4c43-b165-7cfd2cc8ac50
                  name:
                    type: string
                    example: Q1 Customer Outreach
                  status:
                    type: string
                    enum:
                      - SCHEDULED
                      - RUNNING
                      - PAUSED
                      - COMPLETED
                      - CANCELLED
                    example: SCHEDULED
                  sendType:
                    type: string
                    enum:
                      - NOW
                      - SCHEDULED
                    example: NOW
                  scheduledDate:
                    type: string
                    format: date-time
                    example: '2025-12-01T09:00:00Z'
                    nullable: true
                  scheduledTimezone:
                    type: string
                    example: America/New_York
                    nullable: true
                  timeRange:
                    type: object
                    nullable: true
                    properties:
                      days:
                        type: array
                        items:
                          type: string
                        example:
                          - MONDAY
                          - TUESDAY
                          - WEDNESDAY
                      startCallingTime:
                        type: string
                        example: '09:00'
                      endCallingTime:
                        type: string
                        example: '17:00'
                  reservedConcurrency:
                    type: integer
                    example: 10
                  projectId:
                    type: string
                    format: uuid
                    example: 48f7656f-098b-4c43-b165-7cfd2cc8ac30
                  voiceAgentId:
                    type: string
                    format: uuid
                    example: 68f7656f-098b-4c43-b165-7cfd2cc8ac40
                  recipientsCount:
                    type: integer
                    example: 100
                    description: Number of recipients in this campaign
                  createdAt:
                    type: string
                    format: date-time
                    example: '2025-12-06T10:00:00.000Z'
                  updatedAt:
                    type: string
                    format: date-time
                    example: '2025-12-06T10:00:00.000Z'
            totalCount:
              type: integer
              example: 50
              description: Total number of campaigns matching the criteria
            returnedCount:
              type: integer
              example: 10
              description: Number of campaigns returned in this response
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````